Compare commits

..

3 Commits

Author SHA1 Message Date
kalle 23ae9e506a Move to new CI/CD
Build and publish releases / release (push) Successful in 4m7s Details
2023-06-28 14:50:37 +02:00
kalle c4603bae60 Port to 1.20 with a paper plugin 2023-06-28 11:41:26 +02:00
kalle 02a7f1659e Nothing much 2023-04-08 23:45:42 +02:00
11 changed files with 70 additions and 73 deletions

View File

@ -0,0 +1,40 @@
name: "Build and publish releases"
on:
push:
tags: "v*"
jobs:
release:
if: github.repository_owner == 'mc'
runs-on: ubuntu-latest
steps:
- uses: actions/checkout@v3
- name: Set up JDK 17
uses: https://github.com/actions/setup-java@v3
with:
java-version: '17'
distribution: 'temurin'
- name: "build"
run: |
./gradlew build
- name: "move releases"
run: |
mkdir release
mv build/libs/*.jar release
- name: "publish release"
uses: https://code.forgejo.org/actions/forgejo-release@v1
with:
direction: upload
release-dir: release
token: ${{ secrets.TOKEN }}
- name: "publish to maven"
env:
MAVEN_REPO_URL: "https://git.kallestruik.nl/api/packages/mc/maven"
MAVEN_REPO_TOKEN: ${{ secrets.TOKEN }}
run: |
./gradlew publishReleasePublicationToMavenRepository

View File

@ -1,33 +0,0 @@
pipeline:
build:
image: "eclipse-temurin:17-jdk"
commands:
- "./gradlew assemble"
test:
image: "eclipse-temurin:17-jdk"
commands:
- "./gradlew test"
release:
image: plugins/gitea-release
settings:
api_key:
from_secret: "gitea_api_key"
base_url:
from_secret: "gitea_base_url"
files: build/libs/DLib-*.jar
when:
event:
- tag
maven:
image: "eclipse-temurin:17-jdk"
commands:
- "./gradlew publishReleasePublicationToMavenRepository"
environment:
MAVEN_REPO_URL:
from_secret: maven_repo_url
MAVEN_REPO_TOKEN:
from_secret: gitea_api_key
when:
event:
- tag

View File

@ -1,29 +1,30 @@
import org.jetbrains.kotlin.gradle.tasks.KotlinCompile import org.jetbrains.kotlin.gradle.tasks.KotlinCompile
plugins { plugins {
kotlin("jvm") version "1.7.10" kotlin("jvm") version "1.8.22"
kotlin("plugin.serialization") version "1.7.0" kotlin("plugin.serialization") version "1.8.22"
id("maven-publish") id("maven-publish")
id("com.github.johnrengelman.shadow") version "7.1.2" id("com.github.johnrengelman.shadow") version "8.1.1"
id("io.papermc.paperweight.userdev") version "1.3.8" id("io.papermc.paperweight.userdev") version "1.5.5"
} }
group = "nl.kallestruik" group = "nl.kallestruik"
version = "1.5.0" version = "1.5.1"
repositories { repositories {
mavenCentral() mavenCentral()
} }
dependencies { dependencies {
paperDevBundle("1.19-R0.1-SNAPSHOT") paperweight.paperDevBundle("1.20-R0.1-SNAPSHOT")
implementation(kotlin("reflect")) implementation(kotlin("reflect"))
implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.3.3") implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.5.0")
implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.6.3") implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.7.1")
implementation("org.jetbrains.kotlin:kotlin-scripting-common") implementation("org.jetbrains.kotlin:kotlin-scripting-common")
implementation("org.jetbrains.kotlin:kotlin-scripting-jvm") implementation("org.jetbrains.kotlin:kotlin-scripting-jvm")
implementation("org.jetbrains.kotlin:kotlin-scripting-jvm-host") implementation("org.jetbrains.kotlin:kotlin-scripting-jvm-host")
implementation("net.kyori:adventure-text-serializer-plain:4.14.0")
testImplementation(kotlin("test-junit5")) testImplementation(kotlin("test-junit5"))
testImplementation("org.junit.jupiter:junit-jupiter-api:5.8.2") testImplementation("org.junit.jupiter:junit-jupiter-api:5.8.2")

Binary file not shown.

View File

@ -1,6 +1,5 @@
distributionBase=GRADLE_USER_HOME distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists distributionPath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-8.0.1-all.zip distributionUrl=https\://services.gradle.org/distributions/gradle-8.1.1-all.zip
networkTimeout=10000
zipStoreBase=GRADLE_USER_HOME zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists zipStorePath=wrapper/dists

18
gradlew vendored
View File

@ -55,7 +55,7 @@
# Darwin, MinGW, and NonStop. # Darwin, MinGW, and NonStop.
# #
# (3) This script is generated from the Groovy template # (3) This script is generated from the Groovy template
# https://github.com/gradle/gradle/blob/HEAD/subprojects/plugins/src/main/resources/org/gradle/api/internal/plugins/unixStartScript.txt # https://github.com/gradle/gradle/blob/master/subprojects/plugins/src/main/resources/org/gradle/api/internal/plugins/unixStartScript.txt
# within the Gradle project. # within the Gradle project.
# #
# You can find Gradle at https://github.com/gradle/gradle/. # You can find Gradle at https://github.com/gradle/gradle/.
@ -80,11 +80,11 @@ do
esac esac
done done
# This is normally unused
# shellcheck disable=SC2034
APP_BASE_NAME=${0##*/}
APP_HOME=$( cd "${APP_HOME:-./}" && pwd -P ) || exit APP_HOME=$( cd "${APP_HOME:-./}" && pwd -P ) || exit
APP_NAME="Gradle"
APP_BASE_NAME=${0##*/}
# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script. # Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"' DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"'
@ -143,16 +143,12 @@ fi
if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then
case $MAX_FD in #( case $MAX_FD in #(
max*) max*)
# In POSIX sh, ulimit -H is undefined. That's why the result is checked to see if it worked.
# shellcheck disable=SC3045
MAX_FD=$( ulimit -H -n ) || MAX_FD=$( ulimit -H -n ) ||
warn "Could not query maximum file descriptor limit" warn "Could not query maximum file descriptor limit"
esac esac
case $MAX_FD in #( case $MAX_FD in #(
'' | soft) :;; #( '' | soft) :;; #(
*) *)
# In POSIX sh, ulimit -n is undefined. That's why the result is checked to see if it worked.
# shellcheck disable=SC3045
ulimit -n "$MAX_FD" || ulimit -n "$MAX_FD" ||
warn "Could not set maximum file descriptor limit to $MAX_FD" warn "Could not set maximum file descriptor limit to $MAX_FD"
esac esac
@ -209,12 +205,6 @@ set -- \
org.gradle.wrapper.GradleWrapperMain \ org.gradle.wrapper.GradleWrapperMain \
"$@" "$@"
# Stop when "xargs" is not available.
if ! command -v xargs >/dev/null 2>&1
then
die "xargs is not available"
fi
# Use "xargs" to parse quoted args. # Use "xargs" to parse quoted args.
# #
# With -n1 it outputs one arg per line, with the quotes and backslashes removed. # With -n1 it outputs one arg per line, with the quotes and backslashes removed.

11
gradlew.bat vendored
View File

@ -26,7 +26,6 @@ if "%OS%"=="Windows_NT" setlocal
set DIRNAME=%~dp0 set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=. if "%DIRNAME%" == "" set DIRNAME=.
@rem This is normally unused
set APP_BASE_NAME=%~n0 set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME% set APP_HOME=%DIRNAME%
@ -41,7 +40,7 @@ if defined JAVA_HOME goto findJavaFromJavaHome
set JAVA_EXE=java.exe set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1 %JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute if "%ERRORLEVEL%" == "0" goto execute
echo. echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
@ -76,15 +75,13 @@ set CLASSPATH=%APP_HOME%\gradle\wrapper\gradle-wrapper.jar
:end :end
@rem End local scope for the variables with windows NT shell @rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd if "%ERRORLEVEL%"=="0" goto mainEnd
:fail :fail
rem Set variable GRADLE_EXIT_CONSOLE if you need the _script_ return code instead of rem Set variable GRADLE_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code! rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL% if not "" == "%GRADLE_EXIT_CONSOLE%" exit 1
if %EXIT_CODE% equ 0 set EXIT_CODE=1 exit /b 1
if not ""=="%GRADLE_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%
:mainEnd :mainEnd
if "%OS%"=="Windows_NT" endlocal if "%OS%"=="Windows_NT" endlocal

View File

@ -2,6 +2,7 @@ package nl.kallestruik.dlib.gui
import kotlinx.coroutines.runBlocking import kotlinx.coroutines.runBlocking
import net.kyori.adventure.text.Component import net.kyori.adventure.text.Component
import net.kyori.adventure.text.serializer.plain.PlainTextComponentSerializer
import org.bukkit.Material import org.bukkit.Material
import org.bukkit.entity.Player import org.bukkit.entity.Player
import org.bukkit.event.EventHandler import org.bukkit.event.EventHandler
@ -116,7 +117,9 @@ class TextInputDialog: Listener {
} }
val item = event.currentItem val item = event.currentItem
val name = item?.itemMeta?.displayName ?: "" val nameComponent = item?.itemMeta?.displayName() ?: Component.empty()
val name = PlainTextComponentSerializer.plainText().serialize(nameComponent)
if (name == "") { if (name == "") {
event.isCancelled = true event.isCancelled = true

View File

@ -1,4 +1,4 @@
name: "DLib" name: DLib
main: nl.kallestruik.dlib.DLib
version: ${version} version: ${version}
api-version: 1.16 main: nl.kallestruik.dlib.DLib
api-version: '1.20'